Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.nurserostering.domain
Class Employee

    java.lang.Object
      org.drools.planner.examples.common.domain.AbstractPersistable
          org.drools.planner.examples.nurserostering.domain.Employee

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

    public class Employee

extends AbstractPersistable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`Employee()`

Method Summary
`String` | `getCode()`
`Contract` | `getContract()`
`Map<ShiftDate,DayOffRequest>` | `getDayOffRequestMap()`
`Map<ShiftDate,DayOnRequest>` | `getDayOnRequestMap()`
`String` | `getLabel()`
`String` | `getName()`
`Map<Shift,ShiftOffRequest>` | `getShiftOffRequestMap()`
`Map<Shift,ShiftOnRequest>` | `getShiftOnRequestMap()`
`int` | `getWeekendLength()`
`void` | `setCode(String code)`
`void` | `setContract(Contract contract)`
`void` | `setDayOffRequestMap(Map<ShiftDate,DayOffRequest> dayOffRequestMap)`
`void` | `setDayOnRequestMap(Map<ShiftDate,DayOnRequest> dayOnRequestMap)`
`void` | `setName(String name)`
`void` | `setShiftOffRequestMap(Map<Shift,ShiftOffRequest> shiftOffRequestMap)`
`void` | `setShiftOnRequestMap(Map<Shift,ShiftOnRequest> shiftOnRequestMap)`
`String` | `toString()`

Methods inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Employee

    public Employee()

Method Detail

### getCode

    public String getCode()

### setCode

    public void setCode(String code)

### getName

    public String getName()

### setName

    public void setName(String name)

### getContract

    public Contract getContract()

### setContract

    public void setContract(Contract contract)

### getWeekendLength

    public int getWeekendLength()

### getDayOffRequestMap

    public Map<ShiftDate,DayOffRequest> getDayOffRequestMap()

### setDayOffRequestMap

    public void setDayOffRequestMap(Map<ShiftDate,DayOffRequest> dayOffRequestMap)

### getDayOnRequestMap

    public Map<ShiftDate,DayOnRequest> getDayOnRequestMap()

### setDayOnRequestMap

    public void setDayOnRequestMap(Map<ShiftDate,DayOnRequest> dayOnRequestMap)

### getShiftOffRequestMap

    public Map<Shift,ShiftOffRequest> getShiftOffRequestMap()

### setShiftOffRequestMap

    public void setShiftOffRequestMap(Map<Shift,ShiftOffRequest> shiftOffRequestMap)

### getShiftOnRequestMap

    public Map<Shift,ShiftOnRequest> getShiftOnRequestMap()

### setShiftOnRequestMap

    public void setShiftOnRequestMap(Map<Shift,ShiftOnRequest> shiftOnRequestMap)

### getLabel

    public String getLabel()

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractPersistable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.